curl --request GET \
--url https://platform.swipelux.com/v3/transfers \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.swipelux.com/v3/transfers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.swipelux.com/v3/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"origin": "quoted",
"customerId": "<string>",
"openTaskIds": [
"<string>"
],
"method": "<string>",
"direction": "fiat_to_stablecoin",
"state": "awaiting_funds",
"stateDetail": {
"code": "<string>",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"amounts": {
"in": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"out": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"settled": {
"amount": "<string>",
"currency": "<string>"
}
},
"fees": [
{
"beneficiary": "developer",
"amount": "<string>",
"currency": "<string>",
"rule": {
"fixed": "<string>",
"bips": 123
}
}
],
"source": {
"type": "external"
},
"destination": {
"type": "account",
"id": "<string>"
},
"references": {
"returnedTransferId": "<string>",
"transactionHash": "<string>",
"traceNumber": "<string>",
"imad": "<string>",
"uetr": "<string>",
"explorerUrl": "<string>"
},
"instructions": {
"type": "bank",
"method": "ach",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"details": {},
"accountHolderName": "<string>",
"bankName": "<string>",
"reference": {
"value": "<string>",
"required": true
},
"localAmount": {
"amount": "<string>",
"currency": "<string>"
},
"expiresAt": "<string>"
},
"timestamps": {
"createdAt": "<string>",
"updatedAt": "<string>",
"fundsReceivedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"returnedAt": "<string>",
"settledAt": "<string>"
},
"quoteId": "<string>",
"capabilityId": "<string>",
"sender": {
"name": "<string>",
"bankName": "<string>",
"accountLast4": "<string>"
},
"institutionId": "<string>",
"externalId": "<string>",
"memo": "<string>",
"supportingDocuments": [
"<string>"
]
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"type": "https://docs.swipelux.com/errors/unknown-parameter",
"title": "<string>",
"status": 400,
"code": "unknown_parameter",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/transfer-not-found",
"title": "<string>",
"status": 404,
"code": "transfer_not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}List transfers
Lists quoted transfers and reconciled inbound deposits in deterministic createdAt/id descending order. Filters are customerId, public state, method, direction, origin, source-or-destination accountId, quoteId, exact externalId, createdAt range, and updatedAfter (the missed-webhook recovery path).
Authorizations
Query Parameters
Filter by transfer state. Closed enum — exhaustive; additions would be a breaking change.
awaiting_funds, processing, action_required, completed, failed, canceled Filter by movement method. Open enum — values are added over time; clients must tolerate unknown values.
Filter by transfer direction. Closed enum — exhaustive; additions would be a breaking change.
fiat_to_stablecoin, stablecoin_to_fiat, stablecoin_move Filter by transfer origin. Open enum — values are added over time; clients must tolerate unknown values.
quoted, inbound_deposit Match transfers whose source or destination is this account.
^acc_[a-zA-Z0-9]+$Return only records updated at or after this RFC 3339 timestamp. Use it to recover from missed webhooks by replaying a window of changes.